GDBserver

Classes | Typedefs | Functions
scoped_restore.h File Reference

Go to the source code of this file.

## Classes
class | scoped_restore_base
class | scoped_restore_tmpl< T >

## Typedefs
typedef const scoped_restore_base & | scoped_restore

## Functions
template<typename T >
scoped_restore_tmpl< T > | make_scoped_restore (T *var)
template<typename T , typename T2 >
scoped_restore_tmpl< T > | make_scoped_restore (T *var, T2 value)

## Typedef Documentation

## ◆ scoped_restore

typedef const scoped_restore_base& scoped_restore

Definition at line 45 of file scoped_restore.h.

## Function Documentation

## ◆ make_scoped_restore() [1/2]

template<typename T >

scoped_restore_tmpl<T> make_scoped_restore | ( | T * | var | ) |

Definition at line 105 of file scoped_restore.h.

Referenced by thread_db_notice_clone().

## ◆ make_scoped_restore() [2/2]

template<typename T , typename T2 >

scoped_restore_tmpl<T> make_scoped_restore | ( | T * | var,
|  | T2 | value
| ) |  |

Definition at line 113 of file scoped_restore.h.